# MPI_Info_get_nkeys

Returns the number of currently defined keys in info

## Synopsis

    #include "mpi.h"
    int MPI_Info_get_nkeys(MPI_Info info, int *nkeys)

## Input Parameters

info
  info object (handle)

## Output Parameters

nkeys
  number of defined keys (integer)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:info_getnks.c